TransformationResult (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket, enum: TransformationResult

# Enum Class TransformationResult

java.lang.Object
java.lang.Enum<TransformationResult>
org.apache.tomcat.websocket.TransformationResult

All Implemented Interfaces:
  `Serializable, Comparable<TransformationResult>, Constable`

public enum TransformationResult extends Enum<TransformationResult>
Possible results of a WebSocket frame transformation operation.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `END_OF_FRAME`
  The end of the WebSocket frame was reached and all the data from that frame processed into the provided destination buffer.
  `OVERFLOW`
  The provided destination buffer was filled before all of the available data from the WebSocket frame could be processed.
  `UNDERFLOW`
  The end of the available data was reached before the WebSocket frame was completely read.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TransformationResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TransformationResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNDERFLOW

    public static final TransformationResult UNDERFLOW
    The end of the available data was reached before the WebSocket frame was completely read.

  - ### OVERFLOW

    public static final TransformationResult OVERFLOW
    The provided destination buffer was filled before all of the available data from the WebSocket frame could be processed.

  - ### END_OF_FRAME

    public static final TransformationResult END_OF_FRAME
    The end of the WebSocket frame was reached and all the data from that frame processed into the provided destination buffer.

- ## Method Details

  - ### values

    public static TransformationResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TransformationResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null